using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace StellaOps.Feedser.Source.Vndr.Cisco.Internal;

public class CiscoRawAdvisory
{
    [JsonPropertyName("advisoryId")]
    public string? AdvisoryId { get; set; }

    [JsonPropertyName("advisoryTitle")]
    public string? AdvisoryTitle { get; set; }

    [JsonPropertyName("publicationUrl")]
    public string? PublicationUrl { get; set; }

    [JsonPropertyName("cvrfUrl")]
    public string? CvrfUrl { get; set; }

    [JsonPropertyName("csafUrl")]
    public string? CsafUrl { get; set; }

    [JsonPropertyName("summary")]
    public string? Summary { get; set; }

    [JsonPropertyName("sir")]
    public string? Sir { get; set; }

    [JsonPropertyName("firstPublished")]
    public string? FirstPublished { get; set; }

    [JsonPropertyName("lastUpdated")]
    public string? LastUpdated { get; set; }

    [JsonPropertyName("productNames")]
    public List<string>? ProductNames { get; set; }

    [JsonPropertyName("version")]
    public string? Version { get; set; }

    [JsonPropertyName("iosRelease")]
    public string? IosRelease { get; set; }

    [JsonPropertyName("cves")]
    public List<string>? Cves { get; set; }

    [JsonPropertyName("bugIDs")]
    public List<string>? BugIds { get; set; }

    [JsonPropertyName("cvssBaseScore")]
    public string? CvssBaseScore { get; set; }

    [JsonPropertyName("cvssTemporalScore")]
    public string? CvssTemporalScore { get; set; }

    [JsonPropertyName("cvssEnvironmentalScore")]
    public string? CvssEnvironmentalScore { get; set; }

    [JsonPropertyName("cvssBaseScoreVersion2")]
    public string? CvssBaseScoreV2 { get; set; }

    [JsonPropertyName("status")]
    public string? Status { get; set; }
}
